<template>
  <div class="p-2">
    <a href="#">
      <div
        id="resultHeader"
        v-for="(header, index) in result.header"
        :key="index"
        class="mb-2 text-left text-primary"
      >
        <b>{{ header.type }}</b
        >: {{ header.value }}
        <b-badge v-if="header.archived" pill variant="warning" class="ml-1">{{
          $t("archived")
        }}</b-badge>
      </div>
    </a>

    <div id="resultBody" class="text-left">
      <span
        v-for="(element, index) in result.body"
        :key="index"
        class="mr-3 d-inline-block"
      >
        <!-- Keep the <br/> element at the end to have 
        double mouse click text selection work properly and 
        not have a table horizontal scrollbar appear -->
        <b>{{ element.type }}</b
        >: {{ element.value }}<br />
      </span>
    </div>
  </div>
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
import { DataType } from "@/types/data";

export default Vue.extend({
  data() {
    return {};
  },
  props: {
    result: {
      required: true,
      type: Object as PropType<DataType>,
    },
  },
  methods: {},
});
</script>

<style scoped></style>
